mbedtls_ecp_curve_info Struct Reference

`#include <ecp.h>`

## Data Fields

mbedtls_ecp_group_id | grp_id
uint16_t | tls_id
uint16_t | bit_size
const char * | name

## Detailed Description

Curve information, for use by other modules.

Definition at line 158 of file ecp.h.

## Field Documentation

## bit_size

uint16_t mbedtls_ecp_curve_info::bit_size

The curve size in bits.

Definition at line 162 of file ecp.h.

## grp_id

mbedtls_ecp_group_id mbedtls_ecp_curve_info::grp_id

An internal identifier.

Definition at line 160 of file ecp.h.

## name

const char* mbedtls_ecp_curve_info::name

A human-friendly name.

Definition at line 163 of file ecp.h.

## tls_id

uint16_t mbedtls_ecp_curve_info::tls_id

The TLS NamedCurve identifier.

Definition at line 161 of file ecp.h.

The documentation for this struct was generated from the following file:

- ecp.h